Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 809781 - vpnc fails on RHEL5.3 (vpnc: relocation error: vpnc: symbol gcry_cipher_setkey)
Summary: vpnc fails on RHEL5.3 (vpnc: relocation error: vpnc: symbol gcry_cipher_setkey)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: vpnc
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-04 11:19 UTC by James Patterson
Modified: 2016-12-27 21:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-27 21:11:43 UTC
Type: Bug


Attachments (Terms of Use)

Description James Patterson 2012-04-04 11:19:23 UTC
Description of problem:
vpnc fails to run on RHEL5.3 with a missing symbol error.
I will attach the error message shortly.

As a workaround, rebuilding the package on RHEL5.3 works.

Since RHEL releases are forward binary compatible, would it be possible for the current version of the package to be built on an older version of RHEL5?

Thanks.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 James Patterson 2012-04-04 12:17:57 UTC
Some more info:

# cat /tmp/error 
vpnc: relocation error: vpnc: symbol gcry_cipher_setkey, version GCRYPT_1.2 not defined in file libgcrypt.so.11 with link time reference

We get the error when we try to convert the pcf file to cpnf with pcf2vpnc or when we are trying to connect to a vpn server using vpnc.


# lsb_release -a
LSB Version:       :core-3.1-amd64:core-3.1-ia32:core-3.1-noarch:graphics-3.1-amd64:graphics-3.1-ia32:graphics-3.1-noarch
Distributor ID:   RedHatEnterpriseClient
Description:       Red Hat Enterprise Linux Client release 5.3 (Tikanga)
Release:              5.3
Codename:        Tikanga

Comment 2 James Patterson 2013-05-14 13:06:11 UTC
I guess you're not interested in bug reports for vpnc. I won't report any again.

Please can you close this bug. Thanks.


Note You need to log in before you can comment on or make changes to this bug.